Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Interface FieldMapping

All Superinterfaces:
  Comparable, Extensions, FieldMetaData, JDOTypes, Mapping

All Known Implementing Classes:
  AbstractFieldMapping

public interface FieldMapping
extends FieldMetaData, Mapping

Maps a persistent field to the relational schema.

Field Summary
`static String` | `AUTO_INCREMENT` Extension indicating that this field uses an auto-incrementing column.
`static String` | `DELETE_ACTION` Extension key used to mark the foreign key delete action to use for the field, if it represents a foreign key to a related object.
`static String` | `ELEMENT_DELETE_ACTION` Extension key used to mark the foreign key delete action to use for the element values of a collection, if they represent a foreign key to a related object.
`static String` | `ELEMENT_INDEXED` Extension key used to mark whether element columns are indexed.
`static String` | `ELEMENT_SIZE` Extension key used to mark the size of element data columns.
`static String[]` | `EXTENSION_KEYS` All the valid field-level extensions.
`static String` | `FIELD_MAP` Extension key used to indicate the type of field mapping to use.
`static String` | `INDEXED` Extension key used to mark whether data columns are indexed.
`static String` | `KEY_DELETE_ACTION` Extension key used to mark the foreign key delete action to use for the keys of a map, if they represent a foreign key to a related object.
`static String` | `KEY_INDEXED` Extension key used to mark whether key columns are indexed.
`static String` | `KEY_SIZE` Extension key used to mark the size of key data columns.
`static String` | `REF_DELETE_ACTION` Extension key used to mark the foreign key delete action on reference columns.
`static String` | `REF_INDEXED` Extension key used to mark whether reference columns are indexed.
`static String` | `SIZE` Extension key used to mark the size of data columns.
`static String` | `VALUE_DELETE_ACTION` Extension key used to mark the foreign key delete action to use for the values of a map, if they represent a foreign key to a related object.
`static String` | `VALUE_INDEXED` Extension key used to mark whether value columns are indexed.
`static String` | `VALUE_SIZE` Extension key used to mark the size of value data columns.

Fields inherited from interface kodo.meta.FieldMetaData
`DEPENDENT, ELEMENT_DEPENDENT, ELEMENT_TYPE, EXTERNALIZER, FACTORY, FETCH_GROUP, INVERSE_OWNER, KEY_DEPENDENT, KEY_TYPE, LOCK_GROUP, LOCK_GROUP_DEFAULT, LOCK_GROUP_NONE, LRS, MANAGE_NONE, MANAGE_PERSISTENT, MANAGE_TRANSACTIONAL, NULL_DEFAULT, NULL_EXCEPTION, NULL_NONE, TYPE, VALUE_DEPENDENT, VALUE_TYPE`

Fields inherited from interface kodo.meta.JDOTypes
`TYPE_ARRAY, TYPE_BIGDECIMAL, TYPE_BIGINTEGER, TYPE_BOOLEAN, TYPE_BOOLEAN_OBJ, TYPE_BYTE, TYPE_BYTE_OBJ, TYPE_CHAR, TYPE_CHAR_OBJ, TYPE_COLLECTION, TYPE_DATE, TYPE_DOUBLE, TYPE_DOUBLE_OBJ, TYPE_FCO, TYPE_FLOAT, TYPE_FLOAT_OBJ, TYPE_INT, TYPE_INT_OBJ, TYPE_LOCALE, TYPE_LONG, TYPE_LONG_OBJ, TYPE_MAP, TYPE_NUMBER, TYPE_OBJECT, TYPE_PC_OBJECT, TYPE_SHORT, TYPE_SHORT_OBJ, TYPE_STRING`

Method Summary
`void` | `appendIsEmpty(SQLBuffer sql, Joins joins)` Append a where clause to the given statement checking if this value is empty.
`void` | `appendIsNotNull(SQLBuffer sql, Joins joins)` Append a where clause to the given statement checking if this value is not null.
`void` | `appendIsNull(SQLBuffer sql, Joins joins)` Append a where clause to the given statement checking if this value is null.
`boolean` | `containsSelectTables(Select sel)` Return true if the given select has already selected from all the tables that may be selected in `select(kodo.jdbc.sql.Select, kodo.runtime.KodoStateManager, kodo.jdbc.runtime.JDBCStoreManager, kodo.jdbc.runtime.JDBCFetchConfiguration, int)`.
`void` | `deleteEmbedded(KodoStateManager sm, JDBCStoreManager store)` Override this method to customize deleting the given mapping (used with embedded values only).
`void` | `deleteEmbedded(KodoStateManager sm, RowManager rm)` Delete values for the mapping.
`Column[]` | `getColumns()` Return the data columns for this mapping.
`Object` | `getDataStoreValue(Object val)` Translate the given external field value to its datastore equivalent.
`int` | `getDeleteAction()` The value of the delete action extension.
`int` | `getElementDeleteAction()` The value of the element delete action extension.
`int` | `getElementIndexed()` The value of the element indexed extension.
`int` | `getElementSize()` The value of the element size extension.
`ClassMapping` | `getElementTypeMapping()` Convenience method to make casting from `FieldMetaData.getElementTypeMetaData()` unnecessary.
`String` | `getFieldMappingName()` The value of the field mapping name extension.
`int` | `getIndexed()` The value of the indexed extension.
`Column[]` | `getKeyColumns()` Return the key columns for this mapping, or empty array if none.
`Object` | `getKeyDataStoreValue(Object val)` Translate the given key value to its datastore equivalent.
`int` | `getKeyDeleteAction()` The value of the key delete action extension.
`int` | `getKeyIndexed()` The value of the key indexed extension.
`int` | `getKeySize()` The value of the key size extension.
`ClassMapping` | `getKeyTypeMapping()` Convenience method to make casting from `FieldMetaData.getKeyTypeMetaData()` unnecessary.
`FieldMetaData` | `getMetaData()` Return the underlying `FieldMetaData` for this mapping.
`ClassMapping` | `getNonVirtualOwner()` The non-virtual owner for the field.
`ClassMapping` | `getOwnerMapping()` Convenience method to make casting `FieldMetaData.getOwner()` unnecessary.
`int` | `getRefDeleteAction()` The value of the ref delete action extension.
`int` | `getRefIndexed()` The value of the ref indexed extension.
`int` | `getSize()` The value of the size extension.
`ClassMapping` | `getTypeMapping()` Convenience method to make casting from `FieldMetaData.getTypeMetaData()` unnecessary.
`boolean` | `isAutoIncrement()` The value of the auto increment extension.
`Boolean` | `isCustomDeleteEmbedded(KodoStateManager sm)` Return `Boolean.FALSE` if this mapping does not customize the delete process, `Boolean.TRUE` if it does, or null if it does customize the delete, but also relies on the standard delete method being called.
`Boolean` | `isCustomNullEmbedded(KodoStateManager sm)` Return `Boolean.FALSE` if this mapping does not customize the nulling process, `Boolean.TRUE` if it does, or null if it does customize the nulling, but also relies on the standard nulling method being called.
`boolean` | `isDeleteActionDeferred()` The value of the delete action extension.
`boolean` | `isElementDeleteActionDeferred()` The value of the element delete action extension.
`boolean` | `isKeyDeleteActionDeferred()` The value of the key delete action extension.
`boolean` | `isRefDeleteActionDeferred()` The value of the ref delete action extension.
`void` | `join(Joins joins)` Join this value to the class table.
`void` | `joinKey(Joins joins)` Join the key value to the class table.
`void` | `joinKeyRelation(Joins joins)` Join this value's table to the table for the related first class object key type, if any.
`void` | `joinRelation(Joins joins)` Join this value's table to the table for the related first class object type, if any.
`void` | `load(KodoStateManager sm, JDBCStoreManager store, JDBCFetchConfiguration fetch)` Load secondary data using a connection from the store manager.
`void` | `load(KodoStateManager sm, JDBCStoreManager store, JDBCFetchConfiguration fetch, Result res)` Load virtual row data; the given result is not guaranteed to contain data for this field, so the field mapping should make sure the result contains its needed column data before loading.
`Object` | `loadKeyProjection(JDBCStoreManager store, JDBCFetchConfiguration fetch, Result res)` Load this field's key value using the given result.
`Object` | `loadProjection(JDBCStoreManager store, JDBCFetchConfiguration fetch, Result res)` Load this field value using the given result.
`void` | `nullEmbedded(KodoStateManager sm, JDBCStoreManager store)` Override this method to customize nulling the given mapping (used with embedded values only).
`void` | `nullEmbedded(KodoStateManager sm, RowManager rm)` Null values for the mapping.
`int` | `select(Select sel, KodoStateManager sm, JDBCStoreManager store, JDBCFetchConfiguration fetch, int eagerMode)` Select the virtual row columns of this mapping.
`void` | `selectEager(Select sel, KodoStateManager sm, JDBCStoreManager store, JDBCFetchConfiguration fetch)` Select eager to-many relations.
`void` | `setAutoIncrement(boolean autoInc)` The value of the auto increment extension.
`void` | `setDeleteAction(int action, boolean deferred)` The value of the delete action extension.
`void` | `setElementDeleteAction(int action, boolean deferred)` The value of the element delete action extension.
`void` | `setElementIndexed(int idx)` The value of the element indexed extension.
`void` | `setElementSize(int size)` The value of the element size extension.
`void` | `setFieldMappingName(String map)` The value of the field mapping name extension.
`void` | `setIndexed(int idx)` The value of the indexed extension.
`void` | `setKeyDeleteAction(int action, boolean deferred)` The value of the key delete action extension.
`void` | `setKeyIndexed(int idx)` The value of the key indexed extension.
`void` | `setKeySize(int size)` The value of the key size extension.
`void` | `setNonVirtualOwner(ClassMapping nvm)` The non-virtual owner for the field.
`void` | `setRefDeleteAction(int action, boolean deferred)` The value of the ref delete action extension.
`void` | `setRefIndexed(int idx)` The value of the ref indexed extension.
`void` | `setSize(int size)` The value of the size extension.
`boolean` | `supportsTwoPartSelect()` Return true if this mapping can benefit from a two-part select, in which some data is selected in `select(kodo.jdbc.sql.Select, kodo.runtime.KodoStateManager, kodo.jdbc.runtime.JDBCStoreManager, kodo.jdbc.runtime.JDBCFetchConfiguration, int)`, and other data is loaded separately.

Methods inherited from interface kodo.meta.FieldMetaData
`getComparator, getDeclaredElementType, getDeclaredElementTypeCode, getDeclaredElementTypeMetaData, getDeclaredIndex, getDeclaredKeyType, getDeclaredKeyTypeCode, getDeclaredKeyTypeMetaData, getDeclaredPrimaryKeyIndex, getDeclaredType, getDeclaredTypeCode, getDeclaredTypeMetaData, getElementType, getElementTypeCode, getElementTypeMetaData, getElementTypeName, getExternalizer, getExternalizerMethod, getExternalValue, getFactory, getFactoryMethod, getFetchGroup, getFieldFlag, getFieldValue, getFullName, getIndex, getInverseOwner, getInverseOwnerMetaData, getKeyType, getKeyTypeCode, getKeyTypeMetaData, getKeyTypeName, getLockGroup, getManagement, getName, getNullValue, getOwner, getPrimaryKeyIndex, getProxyType, getType, getTypeCode, getTypeMetaData, getTypeName, invalidateResolve, isDefaultFetchGroupExplicit, isDependent, isElementDependent, isElementEmbedded, isEmbedded, isExplicit, isInDefaultFetchGroup, isKeyDependent, isKeyEmbedded, isLRS, isPrimaryKey, isResolved, isTransient, resolve, setComparator, setDeclaredElementType, setDeclaredElementTypeCode, setDeclaredIndex, setDeclaredKeyType, setDeclaredKeyTypeCode, setDeclaredPrimaryKeyIndex, setDeclaredType, setDeclaredTypeCode, setDependent, setElementDependent, setElementEmbedded, setElementTypeName, setEmbedded, setExplicit, setExternalizer, setFactory, setFetchGroup, setInDefaultFetchGroup, setIndex, setInverseOwner, setKeyDependent, setKeyEmbedded, setKeyTypeName, setLockGroup, setLRS, setManagement, setName, setNullValue, setOwner, setPrimaryKey, setProxyType, setTransient, setTypeName`

Methods inherited from interface kodo.meta.Extensions
`addExtension, addExtension, addExtensionKeys, getBooleanExtension, getBooleanExtension, getDoubleExtension, getDoubleExtension, getEmbeddedExtensions, getEmbeddedExtensions, getEmbeddedExtensionsKeys, getEmbeddedExtensionsKeys, getExtensionKeys, getExtensionKeys, getExtensionVendors, getIntExtension, getIntExtension, getObjectExtension, getObjectExtension, getStringExtension, getStringExtension, hasExtension, hasExtension, isEmpty, removeEmbeddedExtensions, removeEmbeddedExtensions, removeExtension, removeExtension`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface kodo.jdbc.meta.Mapping
`addMappingInfoAttributes, delete, delete, fromMappingInfo, getMappingRepository, getMappingType, getTable, insert, insert, isCustomDelete, isCustomInsert, isCustomUpdate, map, refSchemaComponents, reverseMap, toMappingInfo, update, update`

Field Detail

### FIELD_MAP

    public static final String FIELD_MAP

  Extension key used to indicate the type of field mapping to use.

### SIZE

    public static final String SIZE

  Extension key used to mark the size of data columns. Use -1 to indicate a LOB column. Default is the database defualt, or 255 for strings.

### ELEMENT_SIZE

    public static final String ELEMENT_SIZE

  Extension key used to mark the size of element data columns.
  See Also:
    `SIZE`

### VALUE_SIZE

    public static final String VALUE_SIZE

  Extension key used to mark the size of value data columns.
  See Also:
    `SIZE`

### KEY_SIZE

    public static final String KEY_SIZE

  Extension key used to mark the size of key data columns.
  See Also:
    `SIZE`

### INDEXED

    public static final String INDEXED

  Extension key used to mark whether data columns are indexed. Set to `true`, `false`, or `unique`. Default depends on the mapping involved.

### ELEMENT_INDEXED

    public static final String ELEMENT_INDEXED

  Extension key used to mark whether element columns are indexed.
  See Also:
    `INDEXED`

### VALUE_INDEXED

    public static final String VALUE_INDEXED

  Extension key used to mark whether value columns are indexed.
  See Also:
    `INDEXED`

### KEY_INDEXED

    public static final String KEY_INDEXED

  Extension key used to mark whether key columns are indexed.
  See Also:
    `INDEXED`

### REF_INDEXED

    public static final String REF_INDEXED

  Extension key used to mark whether reference columns are indexed.
  See Also:
    `INDEXED`

### DELETE_ACTION

    public static final String DELETE_ACTION

  Extension key used to mark the foreign key delete action to use for the field, if it represents a foreign key to a related object. Legal values are `none`, `null`, `null-deferred`, `default`, `default-deferred`, `exception`, `exception-deferred`, `cascade`, `cascade-deferred`. Default depends on mapping involved.

### ELEMENT_DELETE_ACTION

    public static final String ELEMENT_DELETE_ACTION

  Extension key used to mark the foreign key delete action to use for the element values of a collection, if they represent a foreign key to a related object.
  See Also:
    `DELETE_ACTION`

### KEY_DELETE_ACTION

    public static final String KEY_DELETE_ACTION

  Extension key used to mark the foreign key delete action to use for the keys of a map, if they represent a foreign key to a related object.
  See Also:
    `DELETE_ACTION`

### VALUE_DELETE_ACTION

    public static final String VALUE_DELETE_ACTION

  Extension key used to mark the foreign key delete action to use for the values of a map, if they represent a foreign key to a related object.
  See Also:
    `DELETE_ACTION`

### REF_DELETE_ACTION

    public static final String REF_DELETE_ACTION

  Extension key used to mark the foreign key delete action on reference columns.
  See Also:
    `DELETE_ACTION`

### AUTO_INCREMENT

    public static final String AUTO_INCREMENT

  Extension indicating that this field uses an auto-incrementing column. Legal values are true or false. Defaults to false.

### EXTENSION_KEYS

    public static final String[] EXTENSION_KEYS

  All the valid field-level extensions.

Method Detail

### getColumns

    public Column[] getColumns()

  Return the data columns for this mapping. This corresponds to the field-order foreign key columns in relations.

### getKeyColumns

    public Column[] getKeyColumns()

  Return the key columns for this mapping, or empty array if none. Returns an empty array by default.

### containsSelectTables

    public boolean containsSelectTables(Select sel)

  Return true if the given select has already selected from all the tables that may be selected in `select(kodo.jdbc.sql.Select, kodo.runtime.KodoStateManager, kodo.jdbc.runtime.JDBCStoreManager, kodo.jdbc.runtime.JDBCFetchConfiguration, int)`. By default, returns true if the select contains the table returned by `Mapping.getTable()`.

### supportsTwoPartSelect

    public boolean supportsTwoPartSelect()

  Return true if this mapping can benefit from a two-part select, in which some data is selected in `select(kodo.jdbc.sql.Select, kodo.runtime.KodoStateManager, kodo.jdbc.runtime.JDBCStoreManager, kodo.jdbc.runtime.JDBCFetchConfiguration, int)`, and other data is loaded separately. Returns false by default.

### select

    public int select(Select sel,
                      KodoStateManager sm,
                      JDBCStoreManager store,
                      JDBCFetchConfiguration fetch,
                      int eagerMode)

  Select the virtual row columns of this mapping.
  Parameters:
    `cm` - the ClassMapping that is the target of the select
    `sel` - the select to add to
    `sm` - the instance being loaded, or null if not initialized yet or selecting for multiple instances
    `store` - the current store manager
    `fetch` - fetch configuration
    `eagerMode` - the eager fetch mode to use; this may be more restrictive than the mode of the fetch configuration
  Returns:
    > 0 if this mapping requires the selected data (if any), 0 if it selected data but does not require it, or < 0 if no data was selected

### selectEager

    public void selectEager(Select sel,
                            KodoStateManager sm,
                            JDBCStoreManager store,
                            JDBCFetchConfiguration fetch)

  Select eager to-many relations. This method is only called under; default.
  Parameters:
    `sel` - the select to add to
    `sm` - the instance being loaded, or null if not initialized yet or selecting for multiple instances
    `store` - the current store manager
    `fetch` - fetch configuration

### load

    public void load(KodoStateManager sm,
                     JDBCStoreManager store,
                     JDBCFetchConfiguration fetch,
                     Result res)
              throws SQLException

  Load virtual row data; the given result is not guaranteed to contain data for this field, so the field mapping should make sure the result contains its needed column data before loading.

### load

    public void load(KodoStateManager sm,
                     JDBCStoreManager store,
                     JDBCFetchConfiguration fetch)
              throws SQLException

  Load secondary data using a connection from the store manager.

### nullEmbedded

    public void nullEmbedded(KodoStateManager sm,
                             RowManager rm)
                      throws SQLException

  Null values for the mapping. This method is used when embedded values are nulled or replaced. The given state manager will be the owner of the object whose fields are now being nulled.
  See Also:
    `Mapping.insert(kodo.runtime.KodoStateManager, kodo.jdbc.sql.RowManager)`

### deleteEmbedded

    public void deleteEmbedded(KodoStateManager sm,
                               RowManager rm)
                        throws SQLException

  Delete values for the mapping. This method is used when embedded values are deleted. The given state manager will be the owner of the object that is being deleted.
  See Also:
    `Mapping.insert(kodo.runtime.KodoStateManager, kodo.jdbc.sql.RowManager)`

### isCustomNullEmbedded

    public Boolean isCustomNullEmbedded(KodoStateManager sm)

  Return `Boolean.FALSE` if this mapping does not customize the nulling process, `Boolean.TRUE` if it does, or null if it does customize the nulling, but also relies on the standard nulling method being called. Implement the `#nullEmbedded(KodoStateManager,JDBCStoreManager,Connection)` method to override the default update behavior.

### isCustomDeleteEmbedded

    public Boolean isCustomDeleteEmbedded(KodoStateManager sm)

  Return `Boolean.FALSE` if this mapping does not customize the delete process, `Boolean.TRUE` if it does, or null if it does customize the delete, but also relies on the standard delete method being called. Implement the `#deleteEmbedded(KodoStateManager,JDBCStoreManager,Connection)` method to override the default update behavior.

### nullEmbedded

    public void nullEmbedded(KodoStateManager sm,
                             JDBCStoreManager store)
                      throws SQLException

  Override this method to customize nulling the given mapping (used with embedded values only). The given state manager will represent the object that embeds the object being nulled.

### deleteEmbedded

    public void deleteEmbedded(KodoStateManager sm,
                               JDBCStoreManager store)
                        throws SQLException

  Override this method to customize deleting the given mapping (used with embedded values only). The given state manager will represent the object that embeds the object being deleted.

### getDataStoreValue

    public Object getDataStoreValue(Object val)

  Translate the given external field value to its datastore equivalent. If the mapping occupies multiple columns in the datastore, return an object array, else return a single object. Simply returns the given object by default.

### getKeyDataStoreValue

    public Object getKeyDataStoreValue(Object val)

  Translate the given key value to its datastore equivalent. If the mapping occupies multiple columns in the datastore, return an object array, else return a single object. Simply returns the given object by default.

### appendIsEmpty

    public void appendIsEmpty(SQLBuffer sql,
                              Joins joins)

  Append a where clause to the given statement checking if this value is empty. Appends impossible-to-satisfy SQL by default.

### appendIsNull

    public void appendIsNull(SQLBuffer sql,
                             Joins joins)

  Append a where clause to the given statement checking if this value is null.

### appendIsNotNull

    public void appendIsNotNull(SQLBuffer sql,
                                Joins joins)

  Append a where clause to the given statement checking if this value is not null.

### join

    public void join(Joins joins)

  Join this value to the class table. Does nothing by default.

### joinKey

    public void joinKey(Joins joins)

  Join the key value to the class table. Does nothing by default.

### joinRelation

    public void joinRelation(Joins joins)

  Join this value's table to the table for the related first class object type, if any. Does nothing by default.

### joinKeyRelation

    public void joinKeyRelation(Joins joins)

  Join this value's table to the table for the related first class object key type, if any. Does nothing by default.

### loadProjection

    public Object loadProjection(JDBCStoreManager store,
                                 JDBCFetchConfiguration fetch,
                                 Result res)
                          throws SQLException

  Load this field value using the given result. This method will only be called if this field does not represent a FCO relation. The result will contain the columns from `getColumns()`.

### loadKeyProjection

    public Object loadKeyProjection(JDBCStoreManager store,
                                    JDBCFetchConfiguration fetch,
                                    Result res)
                             throws SQLException

  Load this field's key value using the given result. This method will only be called if the key on this field does not represent a FCO relation. The result will contain the columns from ;

### getFieldMappingName

    public String getFieldMappingName()

  The value of the field mapping name extension.

### setFieldMappingName

    public void setFieldMappingName(String map)

  The value of the field mapping name extension.

### getSize

    public int getSize()

  The value of the size extension.

### setSize

    public void setSize(int size)

  The value of the size extension.

### getElementSize

    public int getElementSize()

  The value of the element size extension.

### setElementSize

    public void setElementSize(int size)

  The value of the element size extension.

### getKeySize

    public int getKeySize()

  The value of the key size extension.

### setKeySize

    public void setKeySize(int size)

  The value of the key size extension.

### getIndexed

    public int getIndexed()

  The value of the indexed extension.

### setIndexed

    public void setIndexed(int idx)

  The value of the indexed extension.

### getElementIndexed

    public int getElementIndexed()

  The value of the element indexed extension.

### setElementIndexed

    public void setElementIndexed(int idx)

  The value of the element indexed extension.

### getKeyIndexed

    public int getKeyIndexed()

  The value of the key indexed extension.

### setKeyIndexed

    public void setKeyIndexed(int idx)

  The value of the key indexed extension.

### getRefIndexed

    public int getRefIndexed()

  The value of the ref indexed extension.

### setRefIndexed

    public void setRefIndexed(int idx)

  The value of the ref indexed extension.

### getDeleteAction

    public int getDeleteAction()

  The value of the delete action extension.

### isDeleteActionDeferred

    public boolean isDeleteActionDeferred()

  The value of the delete action extension.

### setDeleteAction

    public void setDeleteAction(int action,
                                boolean deferred)

  The value of the delete action extension.

### getElementDeleteAction

    public int getElementDeleteAction()

  The value of the element delete action extension.

### isElementDeleteActionDeferred

    public boolean isElementDeleteActionDeferred()

  The value of the element delete action extension.

### setElementDeleteAction

    public void setElementDeleteAction(int action,
                                       boolean deferred)

  The value of the element delete action extension.

### getKeyDeleteAction

    public int getKeyDeleteAction()

  The value of the key delete action extension.

### isKeyDeleteActionDeferred

    public boolean isKeyDeleteActionDeferred()

  The value of the key delete action extension.

### setKeyDeleteAction

    public void setKeyDeleteAction(int action,
                                   boolean deferred)

  The value of the key delete action extension.

### getRefDeleteAction

    public int getRefDeleteAction()

  The value of the ref delete action extension.

### isRefDeleteActionDeferred

    public boolean isRefDeleteActionDeferred()

  The value of the ref delete action extension.

### setRefDeleteAction

    public void setRefDeleteAction(int action,
                                   boolean deferred)

  The value of the ref delete action extension.

### isAutoIncrement

    public boolean isAutoIncrement()

  The value of the auto increment extension.

### setAutoIncrement

    public void setAutoIncrement(boolean autoInc)

  The value of the auto increment extension.

### getMetaData

    public FieldMetaData getMetaData()

  Return the underlying `FieldMetaData` for this mapping.

### getOwnerMapping

    public ClassMapping getOwnerMapping()

  Convenience method to make casting `FieldMetaData.getOwner()` unnecessary.

### getNonVirtualOwner

    public ClassMapping getNonVirtualOwner()

  The non-virtual owner for the field.

### setNonVirtualOwner

    public void setNonVirtualOwner(ClassMapping nvm)

  The non-virtual owner for the field.

### getTypeMapping

    public ClassMapping getTypeMapping()

  Convenience method to make casting from `FieldMetaData.getTypeMetaData()` unnecessary.

### getElementTypeMapping

    public ClassMapping getElementTypeMapping()

  Convenience method to make casting from `FieldMetaData.getElementTypeMetaData()` unnecessary.

### getKeyTypeMapping

    public ClassMapping getKeyTypeMapping()

  Convenience method to make casting from `FieldMetaData.getKeyTypeMetaData()` unnecessary.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.